package cn.com.poc.law.convert;	

import cn.com.poc.law.model.BizAiLawyerWritingTemplateTypeModel;
import cn.com.poc.law.entity.BizAiLawyerWritingTemplateTypeEntity;
import cn.com.poc.law.dto.BizAiLawyerWritingTemplateTypeDto;


public class BizAiLawyerWritingTemplateTypeConvert {

    public static BizAiLawyerWritingTemplateTypeEntity modelToEntity(BizAiLawyerWritingTemplateTypeModel model){
        BizAiLawyerWritingTemplateTypeEntity entity = new BizAiLawyerWritingTemplateTypeEntity();
        entity.setLawyerWritingTemplateId(model.getLawyerWritingTemplateId());
        entity.setLawyerWritingTemplateType(model.getLawyerWritingTemplateType());
        entity.setLawyerWritingTemplateName(model.getLawyerWritingTemplateName());
        entity.setLawyerWritingTemplateClassification(model.getLawyerWritingTemplateClassification());
        return entity;
    }

    public static BizAiLawyerWritingTemplateTypeModel entityToModel(BizAiLawyerWritingTemplateTypeEntity entity){
        BizAiLawyerWritingTemplateTypeModel model = new BizAiLawyerWritingTemplateTypeModel();
        model.setLawyerWritingTemplateId(entity.getLawyerWritingTemplateId());
        model.setLawyerWritingTemplateType(entity.getLawyerWritingTemplateType());
        model.setLawyerWritingTemplateName(entity.getLawyerWritingTemplateName());
        model.setLawyerWritingTemplateClassification(entity.getLawyerWritingTemplateClassification());
        return model;
    }
    
    public static BizAiLawyerWritingTemplateTypeDto entityToDto(BizAiLawyerWritingTemplateTypeEntity entity){
        BizAiLawyerWritingTemplateTypeDto dto = new BizAiLawyerWritingTemplateTypeDto();
        dto.setLawyerWritingTemplateId(entity.getLawyerWritingTemplateId());
        dto.setLawyerWritingTemplateType(entity.getLawyerWritingTemplateType());
        dto.setLawyerWritingTemplateName(entity.getLawyerWritingTemplateName());
        dto.setLawyerWritingTemplateClassification(entity.getLawyerWritingTemplateClassification());
        return dto;
    }

    public static BizAiLawyerWritingTemplateTypeEntity dtoToEntity(BizAiLawyerWritingTemplateTypeDto dto){
        BizAiLawyerWritingTemplateTypeEntity entity = new BizAiLawyerWritingTemplateTypeEntity();
        entity.setLawyerWritingTemplateId(dto.getLawyerWritingTemplateId());
        entity.setLawyerWritingTemplateType(dto.getLawyerWritingTemplateType());
        entity.setLawyerWritingTemplateName(dto.getLawyerWritingTemplateName());
        entity.setLawyerWritingTemplateClassification(dto.getLawyerWritingTemplateClassification());
        return entity;
    }
}